from time import sleep

from celery import shared_task
from django.core.exceptions import ObjectDoesNotExist



@shared_task
def celery_update_parcels(geometry_id: str, recheck: bool = True):
    from konova.models import Geometry
    try:
        geom = Geometry.objects.get(id=geometry_id)
        geom.parcels.clear()
        geom.update_parcels()
    except ObjectDoesNotExist:
        if recheck:
            sleep(5)
            celery_update_parcels(geometry_id, False)


@shared_task
def celery_send_mail_shared_access_removed(obj_identifier, user_id):
    from user.models import User
    user = User.objects.get(id=user_id)
    user.send_mail_shared_access_removed(obj_identifier)


@shared_task
def celery_send_mail_shared_access_given(obj_identifier, user_id):
    from user.models import User
    user = User.objects.get(id=user_id)
    user.send_mail_shared_access_given(obj_identifier)


@shared_task
def celery_send_mail_shared_data_recorded(obj_identifier, user_id):
    from user.models import User
    user = User.objects.get(id=user_id)
    user.send_mail_shared_data_recorded(obj_identifier)


@shared_task
def celery_send_mail_shared_data_unrecorded(obj_identifier, user_id):
    from user.models import User
    user = User.objects.get(id=user_id)
    user.send_mail_shared_data_unrecorded(obj_identifier)


@shared_task
def celery_send_mail_shared_data_deleted(obj_identifier, user_id):
    from user.models import User
    user = User.objects.get(id=user_id)
    user.send_mail_shared_data_deleted(obj_identifier)


@shared_task
def celery_send_mail_shared_data_checked(obj_identifier, user_id):
    from user.models import User
    user = User.objects.get(id=user_id)
    user.send_mail_shared_data_checked(obj_identifier)
